package com.ss.android.ugc.aweme.video.simcommon;

import X.3GY;
import X.AnonymousClass7b7;
import X.AnonymousClass9EH;
import X.C32658q8;
import X.C32918qY;
import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorManager;
import android.text.TextUtils;
import android.util.Pair;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.playerkit.simapicommon.IAppConfig;
import java.util.List;

public class SimAppConfig implements IAppConfig {
    static {
        Covode.recordClassIndex(123020);
    }

    public static Sensor com_ss_android_ugc_aweme_video_simcommon_SimAppConfig_android_hardware_SensorManager_getDefaultSensor(SensorManager sensorManager, int i) {
        3GY.LIZ(100703);
        SensorManager sensorManager2 = sensorManager;
        Pair LIZ = 3GY.LIZ((Object) null, sensorManager2, new Object[]{Integer.valueOf(i)}, 100703, "android.hardware.Sensor", false, 246216600, 2);
        return ((Boolean) LIZ.first).booleanValue() ? (Sensor) LIZ.second : sensorManager2.getDefaultSensor(i);
    }

    public String defaultHost() {
        return "tiktokv.com";
    }

    public boolean isDebug() {
        return false;
    }

    public int getAppID() {
        return AnonymousClass9EH.LJIILJJIL;
    }

    public String getChannel() {
        return AnonymousClass9EH.LJIJI;
    }

    public List<String> redirectHosts() {
        return AnonymousClass7b7.LIZ;
    }

    public String getAppName() {
        return AnonymousClass9EH.LJJIFFI.LIZIZ();
    }

    public String getAppVersion() {
        return AnonymousClass9EH.LJJIFFI.LJIIIIZZ();
    }

    public Sensor createBpeaLightSensor(SensorManager sensorManager) {
        if (sensorManager == null) {
            return null;
        }
        return com_ss_android_ugc_aweme_video_simcommon_SimAppConfig_android_hardware_SensorManager_getDefaultSensor(sensorManager, 5);
    }

    public String getNetworkTypeDetail(Context context) {
        return INVOKESTATIC_com_ss_android_ugc_aweme_video_simcommon_SimAppConfig_com_ss_android_ugc_aweme_lancet_IPCCacheLancet_getNetworkTypeDetail(AnonymousClass9EH.LJJIFFI.LIZ());
    }

    public static String INVOKESTATIC_com_ss_android_ugc_aweme_video_simcommon_SimAppConfig_com_ss_android_ugc_aweme_lancet_IPCCacheLancet_getNetworkTypeDetail(Context context) {
        if (!TextUtils.isEmpty(C32918qY.LIZIZ) && !C32918qY.LIZIZ()) {
            return C32918qY.LIZIZ;
        }
        String LJ = C32658q8.LJ(context);
        C32918qY.LIZIZ = LJ;
        return LJ;
    }
}
